#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const meow_1 = __importDefault(require("meow"));
const formatter_1 = __importDefault(require("./lib/formatter"));
const lib_1 = __importDefault(require("./lib"));
const cli = (0, meow_1.default)(`
	Usage
	  $ tsd [path]

	Examples
	  $ tsd /path/to/project

	  $ tsd

	    index.test-d.ts
	    ✖  10:20  Argument of type string is not assignable to parameter of type number.
`);
(() => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const options = cli.input.length > 0 ? { cwd: cli.input[0] } : undefined;
        const diagnostics = yield (0, lib_1.default)(options);
        if (diagnostics.length > 0) {
            throw new Error((0, formatter_1.default)(diagnostics));
        }
    }
    catch (error) {
        if (error && typeof error.message === 'string') {
            console.error(error.message);
        }
        process.exit(1);
    }
}))();
