"use strict";
/* eslint-disable @typescript-eslint/no-unused-vars */
Object.defineProperty(exports, "__esModule", { value: true });
exports.printType = exports.expectNotDeprecated = exports.expectDeprecated = exports.expectError = exports.expectNotAssignable = exports.expectAssignable = exports.expectNotType = exports.expectType = void 0;
/**
 * Check that the type of `value` is identical to type `T`.
 *
 * @param value - Value that should be identical to type `T`.
 */
// @ts-expect-error
const expectType = (value) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectType = expectType;
/**
 * Check that the type of `value` is not identical to type `T`.
 *
 * @param value - Value that should be identical to type `T`.
 */
// @ts-expect-error
const expectNotType = (value) => {
    // eslint-disable-next-line no-warning-comments
    // TODO Use a `not T` type when possible https://github.com/microsoft/TypeScript/pull/29317
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectNotType = expectNotType;
/**
 * Check that the type of `value` is assignable to type `T`.
 *
 * @param value - Value that should be assignable to type `T`.
 */
// @ts-expect-error
const expectAssignable = (value) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectAssignable = expectAssignable;
/**
 * Check that the type of `value` is not assignable to type `T`.
 *
 * @param value - Value that should not be assignable to type `T`.
 */
// @ts-expect-error
const expectNotAssignable = (value) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectNotAssignable = expectNotAssignable;
/**
 * Assert the value to throw an argument error.
 *
 * @param value - Value that should be checked.
 */
// @ts-expect-error
const expectError = (value) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectError = expectError;
/**
 * Assert that the `expression` provided is marked as `@deprecated`.
 *
 * @param expression - Expression that should be marked as `@deprecated`.
 */
// @ts-expect-error
const expectDeprecated = (expression) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectDeprecated = expectDeprecated;
/**
 * Assert that the `expression` provided is not marked as `@deprecated`.
 *
 * @param expression - Expression that should not be marked as `@deprecated`.
 */
// @ts-expect-error
const expectNotDeprecated = (expression) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.expectNotDeprecated = expectNotDeprecated;
/**
 * Will print a warning with the type of the expression passed as argument.
 *
 * @param expression - Expression whose type should be printed as a warning.
 */
// @ts-expect-error
const printType = (expression) => {
    // Do nothing, the TypeScript compiler handles this for us
};
exports.printType = printType;
