import { Handler } from './handler';
/**
 * Assert that the argument from the `expectDeprecated` statement is marked as `@deprecated`.
 * If it's not marked as `@deprecated`, an error diagnostic is returned.
 *
 * @param checker - The TypeScript type checker.
 * @param nodes - The `expectDeprecated` AST nodes.
 * @return List of diagnostics.
 */
export declare const expectDeprecated: Handler;
/**
 * Assert that the argument from the `expectNotDeprecated` statement is not marked as `@deprecated`.
 * If it's marked as `@deprecated`, an error diagnostic is returned.
 *
 * @param checker - The TypeScript type checker.
 * @param nodes - The `expectNotDeprecated` AST nodes.
 * @return List of diagnostics.
 */
export declare const expectNotDeprecated: Handler;
